package cn.com.poc.portal.convert;

import cn.com.poc.portal.entity.BizPortalDialoguesEntity;
import cn.com.poc.portal.model.BizPortalDialoguesModel;


public class BizPortalDialoguesConvert {

    public static BizPortalDialoguesEntity modelToEntity(BizPortalDialoguesModel model) {
        BizPortalDialoguesEntity entity = new BizPortalDialoguesEntity();
        entity.setId(model.getId());
        entity.setDialoguesId(model.getDialoguesId());
        entity.setUserId(model.getUserId());
        entity.setTitle(model.getTitle());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizPortalDialoguesModel entityToModel(BizPortalDialoguesEntity entity) {
        BizPortalDialoguesModel model = new BizPortalDialoguesModel();
        model.setId(entity.getId());
        model.setDialoguesId(entity.getDialoguesId());
        model.setUserId(entity.getUserId());
        model.setTitle(entity.getTitle());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
}